Bug 42374 - Trustees set are not functioning
Trustees set are not functioning
Product: Red Hat Linux
Classification: Retired
Component: mars-nwe (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-26 01:28 EDT by Chan Kwun Hok
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-18 10:45:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
attached is file nwserv.conf of my linux (1.18 KB, text/plain)
2001-05-26 01:30 EDT, Chan Kwun Hok
no flags Details

  None (edit)
Description Chan Kwun Hok 2001-05-26 01:28:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (Win98; U)

Description of problem:
I've set up MARS successfully and is already running with another Netware 3.12 server in the network. However there is a very serious  problem 
on security, when I set trustees in MARS with the DOS command 'grant all to user', it just simply won't apply to that file or directory. When I 
typed tlist, it does shows the rights that I have granted. The directory only follows the chmod rights in Linux.

How reproducible:

Steps to Reproduce:
1.in linux, chmod 700 temp directory in SYS:, then login to MARS as supervisor
2.at dos command prompt, change to the server's drive (eg. f:)
3.cd to temp directory in the server. (F:\>cd temp)
4.grant all rights to another user. (F:\TEMP>grant all to user)
5.dos replys, 'TEMP         Rights set to [ RWCEMFA]
6.login as user
7.copy files to temp directory
8.dos returns access denied

Expected Results:  files should be copied to temp directory

Additional info:

I have already changed nwserv.conf file from
1      SYS       /var/mars_nwe/sys      k   711 600
1      SYS       /var/mars_nwe/sys      kt  711 600
Comment 1 Chan Kwun Hok 2001-05-26 01:30:30 EDT
Created attachment 19710 [details]
attached is file nwserv.conf of my linux
Comment 2 Alan Cox 2002-12-18 10:45:40 EST
Not a security problem as it fails safe. MARS never supported the full range of
Netware fancy security features

WONTFIX because we no longer ship this package and don't consider the bug
important enough to errata for the old 7.0 distribution

Note You need to log in before you can comment on or make changes to this bug.